uniform lowp sampler2D DIFFUSE_TEXTURE;
uniform lowp sampler2D DEPTH_BUFFER;
uniform vec2 resolution;
varying mediump vec2 var_texcoord0;

void main()
{
	float op = 256.0;
	float d = 1.0/op;
	float ar = resolution.x / resolution.y;
	float u = floor( var_texcoord0.x / d ) * d;
	d = ar/op;
	float v = floor( var_texcoord0.y / d ) * d;
	gl_FragColor =  texture2D(DEPTH_BUFFER, vec2( u, v ));
	gl_FragColor.a = texture2D( DIFFUSE_TEXTURE, vec2( u, v ) ).a;
}